<!DOCTYPE html>
<html lang="en">

<head>

    <link rel="stylesheet" href="/style-global/lib/jquery-dragndrop/draganddrop.css?v=[cs_version]" >

    {% with custom_css="./css/easy2schedule-settings-custom.css", title="Calendar Columns Settings", meta_description="Calendar Columns Settings"%}
        {% include 'snippets/global-header-include.tpl' %}
    {% endwith %}

</head>

<body id="page-top" class="az-body">
    {% include 'snippets/pb-loader.tpl' %}
    {% include 'snippets/guide/container-modal.tpl' %}  
    {% include 'snippets/guide/container-modal.tpl' %}
    {% with
    show_logo=true,
    logo='/style-global/img/icons/calendar.png',
    show_title=true,
    title= "CS:Kalender",
    show_mobilelogo=true,
    mobilelogo = "/style-global/img/icons/calendar.png",
    left_nav_links = true,
    nav_links = false,
    index_link = "./index.html",
    show_help_icon=true,
    help_icon_permission="easy2schedule.user.settings",
    show_news_icon=false,
    show_apps_menu_icon=true,
    show_profile_menu_icon=true
    %}
        {% include 'snippets/parametric/pb-header-menu.tpl' %}
    {% endwith %}

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="az-content-left az-content-left-mail  az-content-left-components">
                <div class="az-content-header">
                    <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                        <a href="" id="azContentLeftHide" class="az-header-arrow">
                            <i class="icon ion-md-arrow-forward d-sm-none"></i>
                            <i class="icon ion-md-close d-none d-sm-block"></i>
                        </a>
                </div><!-- az-content-header -->
                {% include 'snippets/content-left-easy2schedule-settings-nav.tpl' %}
            </div><!-- az-content-left -->
    
            <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40 ">
                <div class="az-content-breadcrumb">
                    <span><a href="/easy2schedule/" class="text-secondary" data-i18n="CS:Kalender">Easy2Schedule</a></span>
                    <span data-i18n="Settings">Einstellungen</span>
                    <span data-i18n="Calendar Columns">Kalenderspalten</span>
                </div>
                <div class="d-flex justify-content-between ">
                    <h2 class="az-content-title" data-i18n="Manage Calendar Columns">Kalenderspalten definieren  
                    </h2>
                    <div class="inpage-utility-nav">
                        <nav class="nav">
                        </nav>
                    </div>
                </div>
                    <p class="mg-b-20" data-i18n="Here you can manage your calendar columns. Add an unlimited number of columns to each of your calendar views representing rooms or other categories. Select a calendar view from the drop-down menu to edit labels or change the order.">Hier können Sie Ihre Kalenderspalten verwalten. Fügen Sie jeder Ihrer Kalenderansichten eine unbegrenzte Anzahl von Spalten hinzu, die Räume oder andere Kategorien darstellen. Wählen Sie eine Ansicht aus der Dropdown aus, um deren Spalten zu bearbeiten oder deren Reihenfolge zu ändern.
                    </p>                
                    <!-- list view start  -->
                    <div class="card-body" id="list-view">
                        <!-- list header start -->
                        <div class="pb-4 mb-4 border-bottom row d-flex justify-content-between align-items-end">
                            <div class="col-md-6 col-12 align-items-center">
                                <p class="mb-3 pd-r-10 az-content-label" data-i18n="Calendar View">Calendar View
                                </p>
                                <select class="form-control" id="calendar_view_selection">
                                    <!-- dropdown selections generated here -->
                                </select>
                            </div>
                    
                            <div class="col-md-6 col-12 pt-2 pt-md-0 d-flex justify-content-end">
                    
                                <button class="btn btn-outline-light btn-with-icon no-wrap mb-2 mb-sm-0 hidden"
                                    id="cancel_columns_button"><i class="typcn typcn-times-outline tx-18 pr-1"></i> <span data-i18n="Cancel">Cancel</span></button>
                                <button class="btn btn-indigo  btn-with-icon no-wrap ml-2 mb-2 mb-sm-0 hidden"
                                    id="save_columns_button"><i class="typcn typcn-tick-outline tx-18 pr-1"></i> <span data-i18n="Save Changes">Save Changes</span></button>
                                <button class="btn btn-indigo  btn-with-icon no-wrap ml-2 mb-2 mb-sm-0"
                                    id="edit_columns_button"><i class="typcn typcn-edit tx-18 pr-1"></i> <span data-i18n="Edit">Edit</span></button>
                            </div>
                        </div>
                        <!-- header -->
                        <!-- content body start -->
                        <div class="tab-pane fade show active">
                    
                            <p id="submit-error-msg"></p>
                            <!-- list start -->
                            <div class="row pt-3">
                                <div class="col-1">
                    
                                </div>
                                <div class="col-5 az-content-label az-content-label-sm" data-i18n="Column Label">COLUMN LABEL 
                                </div>
                                <div class="col-3 az-content-label az-content-label-sm" data-i18n="Column ID">COLUMN ID
                                </div>
                                <div class="col-2 az-content-label az-content-label-sm" style="white-space: nowrap;" data-toggle="tooltip-primary" data-original-title="Hint below">
                                    <span data-i18n="Collector Column">COLLECTOR COLUMN</span> <i class="fas fa-exclamation-circle"></i>
                                </div>
                                <div class="col-1">
                    
                                </div>
                            </div>
                            <div id="column-list-container">
                                <ul id="column_element_list" class="column-element-list pl-0">
                                    <!-- tast list generated from snippet here -->
                                </ul>
                                <button class="btn btn-indigo-white ml-2 mb-2 mb-sm-0 float-right" id="new_column_button" ><i
                                    class="typcn typcn-plus tx-18 pr-1"></i> <span data-i18n="add new column">add new column</span> </button> 
                                </br>&nbsp</br>
                            </div>
                            <!-- task -->
                            {% with id="calendar_column_settings_COLLECTOR", prio="Hint" %}
                                {% include 'snippets/global-alert-box.tpl' %}
                            {% endwith %}
                            {% with id="calendar_column_settings", prio="Alert" %}
                                {% include 'snippets/global-alert-box.tpl' %}
                            {% endwith %}

                        </div>
                        <!-- content body -->
                    </div>
                    <!-- list view  -->
                
                
                    <hr class="pd-y-20 border border-0">



            </div><!-- az-content-body -->
        </div><!-- container -->
    </div><!-- az-content -->

    {% include 'snippets/footer.tpl' %}
    <!-- az-footer -->

<!-- content snippet for creating list -->
<div id="column_item" style="display: None;">
    <li data-selector="list-entry" class="column-element tickets-card row"  id="[{temp_id}]">
        <div class="col-1">
            <i class="typcn typcn-arrow-unsorted tx-18 tx-gray-700 handle hidden"></i>
        </div>
        <div class="col-5"> <input id="column_label_[{temp_id}]" name="column-label" data-group="info"
            type="text" class="form-control detail-inputs" required="" placeholder="Gib die Spaltenbeschriftung ein *"
            value="[{column-label-value}]" disabled="">
        </div>
        <div class="col-3"><input id="column_id_[{temp_id}]" name="column-id" data-group="info" data-selector="column_id"
            type="text" class="form-control detail-inputs" required="" placeholder="Gib die Spalten ID ein *" value="[{column-id-value}]" disabled="">
        </div>
        <div class="col-1"><input id="check_[{temp_id}]" type="checkbox" data-selector="column-other" data-checkbox-id="[{temp_id}]" class="detail-inputs form-checkbox" disabled="">
        </div>
        <div class="col-2">
            <button class="btn btn-outline-indigo btn-icon float-right hidden"" data-toggle="tooltip" data-original-title="löschen"
                data-selector="btn-column-delete" data-column-resource-id="[{temp_id}]"><i
                    class="typcn typcn-trash"></i></button>
        </div>
    </li>
</div>

{% with select2=false, bootstrapdatetimepicker=false, momentjs=false, semantic=false%}
    {% include 'snippets/global-script-include.tpl' %}
{% endwith %}

<script src="/style-global/lib/jquery-dragndrop/draganddrop.js?v=[cs_version]"></script>

{% with circuit="easy2schedule-column-settings-circuit" %}
    {% include 'snippets/framework-script.tpl' %}
{% endwith %}

<script>
    $(document).ready(function(){
        //validate on the fly
        $("#column_element_list").on('blur', 'input[type="text"]', function () {
          if(!$(this).val()){
            $(this).addClass("invalid");
          } else{
            $(this).removeClass("invalid");
          }
        });
      });

    //active list action
</script>
       


</body>

</html>